## visad
Class SimpleSet

    java.lang.Object
      visad.ThingImpl
          visad.DataImpl
              visad.Set
                  visad.SimpleSet

All Implemented Interfaces:
  Cloneable, Data, Serializable, SetIface, SimpleSetIface, Thing

Direct Known Subclasses:
  DoubleSet, FloatSet, List1DDoubleSet, List1DSet, SampledSet

public abstract class SimpleSet
extends Set
implements SimpleSetIface

SimpleSet is the abstract superclass of Sets with a unique ManifoldDimension. For the most part, SimpleSet objects are immutable (but see `SampledSet.getSamples(boolean)`).

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class visad.DataImpl
`DataImpl.Syncher`

Nested classes inherited from class visad.ThingImpl
`ThingImpl.RemotePair`

Field Summary
`(package private) int` `ManifoldDimension` dimension of subspace that set is embedded in

Fields inherited from class visad.Set
`DomainCoordinateSystem, DomainDimension, hashCode, hashCodeSet, Length, SetErrors, SetUnits`

Fields inherited from class visad.DataImpl
`Type`

Fields inherited from interface visad.Data

`ABS, ACOS, ACOS_DEGREES, ADD, ASIN, ASIN_DEGREES, ATAN, ATAN_DEGREES, ATAN2, ATAN2_DEGREES, CEIL, COS, COS_DEGREES, DEGREES_TO_RADIANS, DEPENDENT, DIVIDE, EXP, FLOOR, INDEPENDENT, INV_ATAN2, INV_ATAN2_DEGREES, INV_DIVIDE, INV_POW, INV_REMAINDER, INV_SUBTRACT, LOG, MAX, MIN, MULTIPLY, NEAREST_NEIGHBOR, NEGATE, NO_ERRORS, NOP, POW, RADIANS_TO_DEGREES, REMAINDER, RINT, ROUND, SIN, SIN_DEGREES, SQRT, SUBTRACT, TAN, TAN_DEGREES, WEIGHTED_AVERAGE`

Constructor Summary
`SimpleSet(MathType type)`
`SimpleSet(MathType type, CoordinateSystem coord_sys, Unit[] units, ErrorEstimate[] errors)`
`SimpleSet(MathType type, int manifold_dimension)`
`SimpleSet(MathType type, int manifold_dimension, CoordinateSystem coord_sys, Unit[] units, ErrorEstimate[] errors)`

Method Summary
`int` `getManifoldDimension()` get ManifoldDimension
`(package private) void` `setAnimationSampling(ShadowType type, DataShadow shadow, boolean domain)` domain == true is this is the domain of a Field

`abstract void`

`valueToInterp(float[][] value, int[][] indices, float[][] weights)`
convert an array of values to arrays of indices and weights for those indices, appropriate for interpolation; the values array is organized as float[domain_dimension][number_of_values]; indices and weights must be passed in as int[number_of_values][] and float[number_of_values][]; on return, quantity( values[.][i] ) can be estimated as the sum over j of weights[i][j] * quantity (sample at indices[i][j]); no estimate possible if indices[i] and weights[i] are null

Methods inherited from class visad.Set

`__getitem__, __len__, addEqualsCache, addNotEqualsCache, adjustType, clone, cloneButType, computeRanges, computeRanges, copyDoubles, copyFloats, cram_missing, doubleToFloat, doubleToIndex, equals, equalUnitAndCS, floatToDouble, getCoordinateSystem, getDimension, getDimension, getDoubles, getDoubles, getLength, getNeighbors, getNeighbors, getNeighbors, getSamples, getSamples, getSetErrors, getSetUnits, getWedge, indexToDouble, indexToValue, longString, longString, main, make1DGeometry, make2DGeometry, make3DGeometry, makeIsoLines, makeIsoSurface, makePointGeometry, makeSpatial, merge1DSets, testEqualsCache, testNotEqualsCache, unary, unitAndCSHashCode, valueToIndex`

Methods inherited from class visad.DataImpl

`__add__, __add__, __div__, __div__, __mod__, __mod__, __mul__, __mul__, __neg__, __pow__, __pow__, __radd__, __rdiv__, __rmod__, __rmul__, __rpow__, __rsub__, __sub__, __sub__, abs, abs, acos, acos, acosDegrees, acosDegrees, add, add, adjustSamplingError, asin, asin, asinDegrees, asinDegrees, atan, atan, atan2, atan2, atan2Degrees, atan2Degrees, atanDegrees, atanDegrees, binary, binary, ceil, ceil, changeMathType, computeRanges, computeRanges, computeReferenceRanges, cos, cos, cosDegrees, cosDegrees, dataClone, divide, divide, exp, exp, floor, floor, getType, invertOp, local, log, log, max, max, min, min, multiply, multiply, negate, negate, notifyReferences, pow, pow, remainder, remainder, rint, rint, round, round, setParent, sin, sin, sinDegrees, sinDegrees, sqrt, sqrt, subtract, subtract, tan, tan, tanDegrees, tanDegrees, toString, unary`

Methods inherited from class visad.ThingImpl
`adaptedAddReference, adaptedRemoveReference, addReference, removeReference`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface visad.SetIface

`cloneButType, cram_missing, doubleToIndex, equals, equalUnitAndCS, getCoordinateSystem, getDimension, getDoubles, getDoubles, getLength, getNeighbors, getNeighbors, getNeighbors, getSamples, getSamples, getSetErrors, getSetUnits, getWedge, indexToDouble, indexToValue, make1DGeometry, make2DGeometry, make3DGeometry, makeIsoLines, makeIsoSurface, makePointGeometry, makeSpatial, merge1DSets, valueToIndex`

Methods inherited from interface visad.Data

`abs, abs, acos, acos, acosDegrees, acosDegrees, add, add, adjustSamplingError, asin, asin, asinDegrees, asinDegrees, atan, atan, atan2, atan2, atan2Degrees, atan2Degrees, atanDegrees, atanDegrees, binary, binary, ceil, ceil, changeMathType, computeRanges, computeRanges, computeRanges, cos, cos, cosDegrees, cosDegrees, dataClone, divide, divide, exp, exp, floor, floor, getType, isMissing, local, log, log, longString, longString, max, max, min, min, multiply, multiply, negate, negate, pow, pow, remainder, remainder, rint, rint, round, round, sin, sin, sinDegrees, sinDegrees, sqrt, sqrt, subtract, subtract, tan, tan, tanDegrees, tanDegrees, unary, unary`

Methods inherited from interface visad.Thing
`addReference, removeReference`

Field Detail

### ManifoldDimension

    int ManifoldDimension

  dimension of subspace that set is embedded in

Constructor Detail

### SimpleSet

    public SimpleSet(MathType type,
                     int manifold_dimension)
              throws VisADException

### SimpleSet

    public SimpleSet(MathType type,
                     int manifold_dimension,
                     CoordinateSystem coord_sys,
                     Unit[] units,
                     ErrorEstimate[] errors)
              throws VisADException

### SimpleSet

    public SimpleSet(MathType type)
              throws VisADException

### SimpleSet

    public SimpleSet(MathType type,
                     CoordinateSystem coord_sys,
                     Unit[] units,
                     ErrorEstimate[] errors)
              throws VisADException

Method Detail

### getManifoldDimension

    public int getManifoldDimension()

  get ManifoldDimension

  Specified by:
    `getManifoldDimension` in interface `SetIface`
  Overrides:
    `getManifoldDimension` in class `Set`

### setAnimationSampling

    void setAnimationSampling(ShadowType type,
                              DataShadow shadow,
                              boolean domain)
                        throws VisADException

  domain == true is this is the domain of a Field

  Overrides:
    `setAnimationSampling` in class `Set`
  Throws:
    `VisADException`

### valueToInterp

    public abstract void valueToInterp(float[][] value,
                                       int[][] indices,
                                       float[][] weights)
                                throws VisADException

  convert an array of values to arrays of indices and weights for those indices, appropriate for interpolation; the values array is organized as float[domain_dimension][number_of_values]; indices and weights must be passed in as int[number_of_values][] and float[number_of_values][]; on return, quantity( values[.][i] ) can be estimated as the sum over j of weights[i][j] * quantity (sample at indices[i][j]); no estimate possible if indices[i] and weights[i] are null

  Specified by:
    `valueToInterp` in interface `SimpleSetIface`
  Parameters:
    `value` - An array of points. `value[i][j]` is the i-th coordinate of the j-th points.
  Returns:
    indices Indices of the neighboring samples in the set. If the j-th points lies within the set, then returned element [i][j] is the index of the i-th neighboring sample in the set; otherwise, returned array [j] is `null`.
  Throws:
    `VisADException` - VisAD failure.